package com.chelvc.framework.base.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import com.chelvc.framework.base.config.ResponseWrapConfigurer;
import com.chelvc.framework.base.interceptor.ResponseWrapInterceptor;
import com.chelvc.framework.base.model.Result;

/**
 * 响应结果包装注解
 * <p>
 * 统一的响应结果结构请查看{@link Result}
 *
 * @author Woody
 * @date 2023/1/1
 * @see ResponseWrapConfigurer
 * @see ResponseWrapInterceptor
 */
@Inherited
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE, ElementType.METHOD})
public @interface ResponseWrapping {
    /**
     * 判断是否可对请求结果统一包装
     *
     * @return true/false
     */
    boolean value() default true;

    /**
     * 版本控制
     *
     * @return 版本控制数组
     */
    Versioning[] versioning() default {};
}
