package com.chelvc.framework.feign.interceptor;

import feign.RequestInterceptor;
import feign.RequestTemplate;
import lombok.extern.slf4j.Slf4j;
import com.chelvc.framework.feign.context.FeignContextHolder;
import org.springframework.stereotype.Component;

/**
 * Feign请求头处理拦截器
 *
 * @author Woody
 * @date 2023/1/1
 */
@Slf4j
@Component
public class FeignHeaderInterceptor implements RequestInterceptor {
    @Override
    public void apply(RequestTemplate template) {
        FeignContextHolder.initializeRequestHeader(template);
        if (log.isDebugEnabled()) {
            log.debug("Feign request headers: {}", template.headers());
        }
    }
}
