package com.chelvc.framework.rocketmq.interceptor;

import java.util.List;

/**
 * RocketMQ消息消费监听接口
 *
 * @author Woody
 * @date 2023/1/1
 */
public interface RocketMQListener<T> {
    /**
     * 消费消息
     *
     * @param message 消息实例
     */
    default void consume(T message) {
    }

    /**
     * 批量消费消息
     *
     * @param messages 消息实例列表
     */
    default void consume(List<T> messages) {
    }
}
